#
# Spec file for prolinga-web
#
Summary: 	CGI application. 
Name: 		prolinga-web
Version: 	0.0.2
Release: 	1.fc11.xobas
License: 	GPL
Group:		System Environment/Libraries
Source: 	http://download.prolinga.org/main/sources/%{name}-%{version}.tar.bz2
URL: 		http://www.xobas.com/
Vendor: 	Xobas Software
Packager: 	Bas Driessen <bas.driessen@prolinga.com>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires:	libxml2 >= 2.5.6
Requires:	libxslt >= 1.0.33
Requires:	prolinga-soap >= 0.0.2

%description
The ProLinga-Web is a small project that focusses 
on the development of a CGI application. This 
application generates an XML request file based 
on the URL given by a user or application and sends
it on to the ProLinga interpreter.

%package devel
Summary:	Development libraries and header files for prolinga-web.
Group:		Development/Libraries
Requires:	libxml2 >= 2.5.6
Requires:	libxml2-devel >= 2.5.6
Requires:	libxslt >= 1.0.33
Requires:	libxslt-devel >= 1.0.33
Requires:	prolinga-soap >= 0.0.2
Requires:	prolinga-soap-devel >= 0.0.2
Requires:	%name = %{version}

%description devel
This package contains the header files and libraries needed to write
or compile programs that use prolinga-web.

%prep
%setup -q

%build
%configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-fastcgi
make
#make html

%install
rm -rf %{buildroot}
%makeinstall

# Set hostname to localhost in config file.
sed -e "s?`(hostname || uname -n) 2>/dev/null | sed 1q`<?localhost<?g" < %{buildroot}%{_sysconfdir}/prolingawebsvc.xml > %{_tmppath}/prolingawebsvc.tmp
mv %{_tmppath}/prolingawebsvc.tmp %{buildroot}%{_sysconfdir}/prolingawebsvc.xml

%clean
rm -rf %{buildroot}

%post
# update library links.
/sbin/ldconfig

# Change hostname from localhost to real hostname in config file.
sed -e "s?localhost<?`(hostname || uname -n) 2>/dev/null | sed 1q`<?g" < %{_sysconfdir}/prolingawebsvc.xml > %{_tmppath}/prolingawebsvc.tmp
mv %{_tmppath}/prolingawebsvc.tmp %{_sysconfdir}/prolingawebsvc.xml

# Set correct permissions.
chmod 644 %{_sysconfdir}/prolingawebsvc.xml

%postun
# update library links.
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%doc doc/html
%{_sysconfdir}/*
%{_localstatedir}/*

%files devel
%defattr(-, root, root)
%doc doc/*.xml doc/*.xsl doc/*.txt

%changelog
* Sat Aug 29 2009 Bas Driessen <bas.driessen@xobas.com> 0.0.2-1.fc11
- Build for Fedora 11.
- New upstream release.

* Tue May 20 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc9
- Build for Fedora 9.

* Mon Mar 24 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc8
- Initial spec file.




